Description

Current makefile for POSIX dosen't work because we need to enable c++11.

History

#1 - 05/08/2016 10:21 PM - Jan Dolinár

- Status changed from New to In Progress

- Assignee changed from Jan Dolinár to Zbigniew Rebacz

The makefile that should contain this flag is actually generated by TheIDE, so it should be probably fixed there. The problem is, that this will break the

functionality for users who still use U++ on systems with older compilers lacking proper C++11 support.

I think the most sensitive solution is IMHO to change the generated code to CXX:=c++ -std=c++11 (see ide/Builders/MakeFile.cpp:75). This should make

it work for systems with enough C++11 support, and can be simply overriden for others by specifying CXX="c++" explicitly when running make. What do

you think?

#2 - 05/21/2016 01:24 PM - Miroslav Fidler

I believe this one is already fixed.

#3 - 05/21/2016 01:46 PM - Zbigniew Rebacz

- Status changed from In Progress to Approved
